package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;

import java.util.Date;

/**
 * 
 * @author Trinadh Kavuri
 * Populate this data from Association [Person_Contact]
 */
public class AssociationInfo extends ExternalComponent {



	private static final long serialVersionUID = 5471553169457915880L;
   //Shared Seg/Seq/Msg
   //ZGD/2/Z05
	private String contactType;
	
    //ZCT/3/Z05
	//ZPD/6/Z05
    //ZPD/7/Z05
    private String prefix = null;
    
    //ZCT/3/Z05
    private String givenName = null;

    //ZCT/3/Z05
    private String middleName = null;
    //ZCT/3/Z05
    private String familyName = null;
    //ZCT/3/Z05
    private String suffix = null;
    //ZCT/4/Z05
    //ZGD/5/Z05
    private String relationship = null;
    // ZGD/4/Z05
    private String organizationName = null;
    //ZCT/5/Z05
    //ZGD/6/Z05
    private BaseAddressInfo address;

    //ZCT/6/Z05
    private String primaryPhone = null;
   
    //ZCT/10/Z05
    private Date lastUpdateDate = null;
    
    //ZCT/7/Z05
    private String alternatePhone = null;
    
    /*
     * 
     private String alternatePhone = null;
    private Date primaryPhoneChangeDate = null;
    private Date deactivationDate;
    private Date alternatePhoneChangeDate = null;
    private Date lastUpdateDate = null;
    
	public String getAlternatePhone() {
		return alternatePhone;
	}
	public void setAlternatePhone(String alternatePhone) {
		this.alternatePhone = alternatePhone;
	}
	public Date getAlternatePhoneChangeDate() {
		return alternatePhoneChangeDate;
	}
	public void setAlternatePhoneChangeDate(Date alternatePhoneChangeDate) {
		this.alternatePhoneChangeDate = alternatePhoneChangeDate;
	}
	*/
    
	public String getAlternatePhone() {
		return alternatePhone;
	}
	public void setAlternatePhone(String alternatePhone) {
		this.alternatePhone = alternatePhone;
	}

	public BaseAddressInfo getAddress() {
		return address;
	}
	public void setAddress(BaseAddressInfo baseAddressInfo) {
		this.address = baseAddressInfo;
	}
	public String getContactType() {
		return contactType;
	}
	public void setContactType(String contactType) {
		this.contactType = contactType;
	}
	/*
	public Date getDeactivationDate() {
		return deactivationDate;
	}
	public void setDeactivationDate(Date deactivationDate) {
		this.deactivationDate = deactivationDate;
	}
	*/
	public String getFamilyName() {
		return familyName;
	}
	public void setFamilyName(String familyName) {
		this.familyName = familyName;
	}
	public String getGivenName() {
		return givenName;
	}
	public void setGivenName(String givenName) {
		this.givenName = givenName;
	}
	public Date getLastUpdateDate() {
		return lastUpdateDate;
	}
	public void setLastUpdateDate(Date lastUpdateDate) {
		this.lastUpdateDate = lastUpdateDate;
	}
	public String getMiddleName() {
		return middleName;
	}
	public void setMiddleName(String middleName) {
		this.middleName = middleName;
	}
	public String getOrganizationName() {
		return organizationName;
	}
	public void setOrganizationName(String organizationName) {
		this.organizationName = organizationName;
	}
	public String getPrefix() {
		return prefix;
	}
	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
	public String getPrimaryPhone() {
		return primaryPhone;
	}
	public void setPrimaryPhone(String primaryPhone) {
		this.primaryPhone = primaryPhone;
	}
	/*
	public Date getPrimaryPhoneChangeDate() {
		return primaryPhoneChangeDate;
	}
	public void setPrimaryPhoneChangeDate(Date primaryPhoneChangeDate) {
		this.primaryPhoneChangeDate = primaryPhoneChangeDate;
	}
	*/
	public String getRelationship() {
		return relationship;
	}
	public void setRelationship(String relationship) {
		this.relationship = relationship;
	}
	public String getSuffix() {
		return suffix;
	}
	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}
	
}
